	logical*4 function xtstr4(value,min,max,idescr,descr)
c
c		rashafer 28 May 1986
c	XPARSE subroutine to test if a value is in range
c	real*4 version
	real*4 value,min,max
	integer*4 idescr
	character*(*) descr
	character(15) valstr(3)
	include 'xparinc.inc'
	xtstr4 = (value.ge.min).and.(value.le.max)
	if(xtstr4)return
c	** now create the error message
	write(valstr(1),'(1pg13.6)')value
	write(valstr(2),'(1pg13.6)')min
	write(valstr(3),'(1pg13.6)')max
	if(idescr.gt.0)then
	    call xpmsg3(descr,valstr)
	else
	    call xpmsg3('an integer',valstr)
	    end if
	if(value.lt.min)then
	    value=min
	else
	    value=max
	    end if
	return
	end
